
local text_original = LocalizationManager.text
local testAllStrings = false

local normal = {"I'm scared!", "I want my mommy!", "I'm too young to die"}
local hard = {"Be gentle!", "Pansy", "I'm a wimp"}
local veryhard = {"Bring it on!", "I'm allergic to pain", "Hey, not too rough"}
local overkill = {"I own doom!", "Bring it on", "Hurt me plenty"}
local mayhem = {"I'm slightly masochistic!", "I thrive off pain", "Ultra-Violence"}
local deathwish = {"Watch me die!", "Nightmare!", "Nightmare!"}
local deathsentence = {"Hardcore!", "Ultra-Nightmare!!", "Ultra-Nightmare!!"}

local descnormal = {"FUCK YOU, PUSSY! GET THE FUCK OUT!", "DON'T.", "AN EASY ROMP THROUGH THE PLAYGROUND, GOOD FOR LEARNING THE CONTROLS."}
local deschard = {"SUCK IT DOWN, ASSHOLE! YOU'RE A FUCKING WIMP!", "YOUR SKILL IS NOT ENOUGH.", "FOR WHEN YOU JUST WANNA KILL."}
local descveryhard = {"CAN YOU TAKE A BEATING?", "YOU FAIL IT.", "GOOD FOR WHEN YOU KNOW HOW IT WORKS, BUT STILL PANIC TOO MUCH."}
local descoverkill = {"YOU SURE ABOUT THAT?", "YOU HAVE 11 LLAMA MEDALS.", "THE COPS ARE OUT IN FULL FORCE AND WILL TAKE GREAT PLEASURE IN HURTING YOU."}
local descmayhem = {"I WILL PERFORATE YOU!", "IF I WERE YOUR BOSS, I'D DEATHMATCH YA IN A MINUTE!", "SO YOU THINK YOU'RE TOUGH? PROVE IT!"}
local descdeathwish = {"I RESPECT YOU IF YOU CAN COMPLETE THIS", "I RAN OUT OF DOOM DEATHMATCH REFERENCES TO SAY!", "THIS IS FOR THOSE TIMES WHEN KILLING A GUY ONCE JUST ISN'T ENOUGH."}
local descdeathsentence = {"HOW ARE YOU EVEN ABLE TO SELECT THIS?!", "JOHN ROMERO IS ABOUT TO MAKE YOU HIS BITCH.", "ARE YOU SURE? THIS SKILL LEVEL ISN'T EVEN REMOTELY FAIR."}

local x = math.random(3)

function LocalizationManager:text(string_id, ...)
return string_id == "menu_difficulty_normal" and normal[x]
or string_id == "menu_difficulty_hard" and hard[x]
or string_id == "menu_difficulty_very_hard" and veryhard[x]
or string_id == "menu_difficulty_overkill" and overkill[x]
or string_id == "menu_difficulty_easy_wish" and mayhem[x]
or string_id == "menu_difficulty_apocalypse" and deathwish[x]
or string_id == "menu_difficulty_sm_wish" and deathsentence[x]

or string_id == "menu_risk_pd" and descnormal[x]
or string_id == "menu_risk_swat" and deschard[x]
or string_id == "menu_risk_fbi" and descveryhard[x]
or string_id == "menu_risk_special" and descoverkill[x]
or string_id == "menu_risk_easy_wish" and descmayhem[x]
or string_id == "menu_risk_elite" and descdeathwish[x]
or string_id == "menu_risk_sm_wish" and descdeathsentence[x]

or testAllStrings == true and string_id
or text_original(self, string_id, ...)
end